田草博客

互联网田草博客


网友交流QQ群:11740834 需注明申请加入原因

微信 公众号:ByCAD

邮箱:tiancao1001x126.com
ByCAD,微信公众号
首页 | 普通 | 电脑 | AutoCAD | VB/VB.NET | FLash | 结构 | 建筑 | 电影 | BIM | 规范 | 软件 | ID

评论列表

所有评论
[1] [2] [3] [4] [5] [6] [7] [8] [9] [10]  ... [143]  
tiancao1001 于 2024-05-31 12:14 AM 发表评论:
可能与CAD设置有关,我的CAD2020出错这错误,2014则不会
查看所评论的日志:内部错误 eregen 8 0
tiancao1001 于 2024-05-26 01:51 PM 发表评论:
<CommandMethod("TcTxtDaoXu")>
    Public Sub TcTxtDaoXu()
        On Error Resume Next
        Dim acDc As Document = Application.DocumentManager.MdiActiveDocument
        Dim acDb As Database = acDc.Database
        Dim acTypValAr(0) As TypedValue
        acTypValAr.SetValue(New TypedValue(DxfCode.Start, "TEXT"), 0)
        Dim acSelFtr As SelectionFilter = New SelectionFilter(acTypValAr)
        Dim acSSPrompt As PromptSelectionResult = acDc.Editor.GetSelection(acSelFtr)
        If acSSPrompt.Status = PromptStatus.OK Then '选择成功
            Dim acSS As SelectionSet = acSSPrompt.Value
            For Each id As ObjectId In acSS.GetObjectIds
                Using acTrans As Transaction = acDb.TransactionManager.StartTransaction()
                    Dim acTxt As DBText = acTrans.GetObject(id, OpenMode.ForWrite)
                    Dim str As String = acTxt.TextString
                    Dim strArr As Char() = str.ToCharArray
                    Array.Reverse(strArr)
                    Dim NewStr As New String(strArr)
                    acTxt.TextString = NewStr
                    acTrans.Commit()
                End Using
            Next
        End If
    End Sub
查看所评论的日志:CAD文字倒序
slq43017 于 2024-05-22 11:08 AM 发表评论:
没有结构体系那一本
查看所评论的日志:2009全国民用建筑工程设计技术措施全套pdf
tiancao1001 于 2024-05-20 07:48 PM 发表评论:
隐藏日志的评论
查看所评论的日志:AutoCAD .net 打印时候,窗口出现偏移,甚至打印出空白来?
tiancao1001 于 2024-03-31 07:29 PM 发表评论:
#Const AutoCADorGrxCAD = "AutoCAD"

#If AutoCADorGrxCAD = "AutoCAD" Then
Imports Autodesk.AutoCAD.EditorInput
Imports Autodesk.AutoCAD.ApplicationServices
Imports Autodesk.AutoCAD.DatabaseServices
Imports Autodesk.AutoCAD.Geometry
Imports Autodesk.AutoCAD.Runtime
Imports Autodesk.AutoCAD.GraphicsInterface
Imports Autodesk.AutoCAD.PlottingServices
Imports Autodesk.AutoCAD.Windows
Imports Autodesk.AutoCAD.Windows.Palette
Imports Autodesk.AutoCAD.Colors
#ElseIf AutoCADorGrxCAD = "GrxCAD" Then
Imports GrxCAD.EditorInput
Imports GrxCAD.ApplicationServices
Imports GrxCAD.DatabaseServices
Imports GrxCAD.Geometry
Imports GrxCAD.Runtime
Imports GrxCAD.Windows
Imports GrxCAD.Internal
Imports GrxCAD.Windows.Palette
#ElseIf AutoCADorGrxCAD = "ZwCAD" Then
Imports ZwSoft.ZwCAD.EditorInput
Imports ZwSoft.ZwCAD.ApplicationServices
Imports ZwSoft.ZwCAD.DatabaseServices
Imports ZwSoft.ZwCAD.Geometry
Imports ZwSoft.ZwCAD.Runtime
Imports ZwSoft.ZwCAD.Windows
Imports ZwSoft.ZwCAD.GraphicsInterface
#End If

#If AutoCADorGrxCAD = "AutoCAD" Then
Imports AcCAD = Autodesk.AutoCAD
Imports AcWin = Autodesk.AutoCAD.Windows
Imports AcDoc = Autodesk.AutoCAD.ApplicationServices.Document
Imports AcApp = Autodesk.AutoCAD.ApplicationServices.Application
Imports AcDbs = Autodesk.AutoCAD.DatabaseServices
#ElseIf AutoCADorGrxCAD = "GrxCAD" Then
Imports AcCAD = GrxCAD
Imports AcWin = GrxCAD.Windows
Imports AcDoc = GrxCAD.ApplicationServices.Document
Imports AcApp = GrxCAD.ApplicationServices.Application
Imports AcDBs = GrxCAD.DatabaseServices
#ElseIf AutoCADorGrxCAD = "ZwCAD" Then
Imports AcCAD = ZwSoft.ZwCAD
Imports AcWin = ZwSoft.ZwCAD.Windows
Imports AcDoc = ZwSoft.ZwCAD.ApplicationServices.Document
Imports AcApp = ZwSoft.ZwCAD.ApplicationServices.Application
Imports AcDBs = ZwSoft.ZwCAD.DatabaseServices
#End If
Imports System
<Assembly: ExtensionApplication(GetType(TcOpenDwg.TcOpenDwg))>
Namespace TcOpenDwg
    Public Class TcOpenDwg
        Implements IExtensionApplication
        Dim JiShi As New System.Diagnostics.Stopwatch
        Sub Initialize() Implements IExtensionApplication.Initialize
            AddHandler Application.DocumentManager.DocumentCreateStarted, AddressOf Application_DocumentCreateStarted
        End Sub
        Sub Terminate() Implements IExtensionApplication.Terminate
        End Sub
        Private Sub Application_DocumentCreateStarted(ByVal sender As Object,
                                   ByVal e As DocumentCollectionEventArgs)
            AddHandler e.Document.BeginDwgOpen, AddressOf Document_BeginDwgOpen
            AddHandler e.Document.EndDwgOpen, AddressOf Document_EndDwgOpen
        End Sub
        Public Sub Document_BeginDwgOpen(ByVal senderObj As Object,
                                         ByVal docBegClsEvtArgs As DrawingOpenEventArgs)
            On Error Resume Next
            MsgBox("图纸打开,计时开始 。")
            JiShi.Start()
            If Err.Number > 0 Then
                MsgBox("Document_BeginDwgOpen Err:" & Err.Description)
                Err.Clear()
            End If
        End Sub
        Public Sub Document_EndDwgOpen(ByVal senderObj As Object,
                                       ByVal docBegClsEvtArgs As DrawingOpenEventArgs)
            On Error Resume Next
            JiShi.Stop()
            MsgBox("打开结束,耗时:" & JiShi.Elapsed.TotalMilliseconds & "毫秒")
            If Err.Number > 0 Then
                MsgBox("Document_EndDwgOpen Err:" & Err.Description)
                Err.Clear()
            End If
        End Sub
    End Class

End Namespace
查看所评论的日志:AutoCAD2025打开图纸到底有多快?
ecjtu427 于 2023-10-16 02:37 PM 发表评论:
你好,我想问下,属性批量修改命令没有了吗,TCATTLIST
查看所评论的日志:田草CAD工具箱.Net版 下载 安装和使用说明
ecjtu427 于 2023-10-16 10:35 AM 发表评论:
你好,可以发下2010和2012版本的工具箱吗?463668757qq邮箱
查看所评论的日志:田草CAD工具箱.Net版 下载 安装和使用说明
zlf2008 于 2023-08-08 04:53 PM 发表评论:
麻烦大师帮我传一个安装程序!谢谢!,需要的版本:
           田草CAD工具箱ForCAD2018x64
           田草CAD工具箱ForCAD2022x64
           田草CAD工具箱ForCAD2024x64
            田草CAD工具箱For浩辰CAD2022x64
            田草CAD工具箱For浩辰CAD2023x64
            田草CAD工具箱For中望CAD2024x64

请发我邮箱183260048@qq.com

再次感谢大师!!!
查看所评论的日志:田草CAD工具箱.Net版 下载 安装和使用说明
[1] [2] [3] [4] [5] [6] [7] [8] [9] [10]  ... [143]  
Tiancao Blog All Rights Reserved 田草博客 版权所有
Copyright ©